Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234733 - [mmconf] Kernel hangs during bootup
Summary: [mmconf] Kernel hangs during bootup
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL: http://bugzilla.kernel.org/show_bug.c...
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-01 02:33 UTC by Jacob Thompson
Modified: 2008-05-07 01:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:23:43 UTC


Attachments (Terms of Use)
Kernel message log (successful boot) with acpi=off (deleted)
2007-04-01 02:33 UTC, Jacob Thompson
no flags Details
Kernel message log (hang) with no options (deleted)
2007-04-01 02:34 UTC, Jacob Thompson
no flags Details
Kernel message log (hang) with acpi=ht acpi_dbg_layer=1 acpi_dbg_level=1 apic=debug debug pci=noacpi (deleted)
2007-04-01 02:35 UTC, Jacob Thompson
no flags Details

Description Jacob Thompson 2007-04-01 02:33:47 UTC
Description of problem:
The system will hang while the kernel is initializing if the option acpi=off is
not specified on the kernel command line.  After the hang occurs, the Num Lock
key on the keyboard no longer turns Num Lock on or off.

This is an Acer Veriton 6900 Pro system, Intel Pentium D dual-core CPU,
Phoenix-Award BIOS.

Version-Release number of selected component (if applicable):
Fedora release 6.92 (Rawhide)
Linux localhost.localdomain 2.6.20-1.3023.fc7 #1 SMP Sun Mar 25 22:12:02 EDT
2007 i686 i686 i386 GNU/Linux


How reproducible:
Boot system without acpi=off option

  
Actual results:
System hangs

Expected results:
Booted up system

Additional info (attachments):
good.txt is a log of the kernel messages when the acpi=off option is specified.
bad1.txt is a log of the kernel messages with no extra options
bad2.txt is a log with acpi=ht acpi_dbg_layer=1 acpi_dbg_level=1 apic=debug
debug pci=noacpi

Comment 1 Jacob Thompson 2007-04-01 02:33:47 UTC
Created attachment 151369 [details]
Kernel message log (successful boot) with acpi=off

Comment 2 Jacob Thompson 2007-04-01 02:34:36 UTC
Created attachment 151370 [details]
Kernel message log (hang) with no options

Comment 3 Jacob Thompson 2007-04-01 02:35:24 UTC
Created attachment 151371 [details]
Kernel message log (hang) with acpi=ht acpi_dbg_layer=1 acpi_dbg_level=1 apic=debug debug pci=noacpi

Comment 4 Matthew Miller 2007-04-10 16:31:32 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 5 Jacob Thompson 2007-10-06 21:28:44 UTC
The hang actually seems to be caused by MMCONFIG, and specifying pci=nommconf
allows the kernel to boot and ACPI to be enabled.  I am changing the summary and
this is still present in Fredora 8 test 3; kernel 2.6.23-0.214.rc8.git2.fc8.

Comment 6 Jacob Thompson 2007-10-27 00:22:34 UTC
Please see http://bugzilla.kernel.org/show_bug.cgi?id=8308#c16 the patch
referenced there resolves this problem.

Comment 7 Chuck Ebbert 2007-10-29 18:52:14 UTC
Upstream has had that patch submitted 
but there were objections from some of the PCI developers.


Comment 8 Bug Zapper 2008-04-03 23:53:01 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 9 Bug Zapper 2008-05-07 01:23:42 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.